Bug 200808 - [MAINTAINER] russian/emkatic: update to 0.25
Summary: [MAINTAINER] russian/emkatic: update to 0.25
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on: 200624
Blocks:
  Show dependency treegraph
 
Reported: 2015-06-12 04:08 UTC by Andrey Fesenko
Modified: 2015-08-26 10:46 UTC (History)
1 user (show)

See Also:
andrey: maintainer-feedback+


Attachments
Update patch (4.83 KB, patch)
2015-06-12 04:08 UTC, Andrey Fesenko
no flags Details | Diff
poudriere bulk -t log (46.74 KB, text/x-log)
2015-06-12 04:09 UTC, Andrey Fesenko
no flags Details
Update patch (4.60 KB, patch)
2015-06-16 04:32 UTC, Andrey Fesenko
no flags Details | Diff
poudriere bulk log (44.47 KB, text/x-log)
2015-06-16 04:33 UTC, Andrey Fesenko
no flags Details
poudriere bulk -t log (50.05 KB, text/x-log)
2015-06-17 17:19 UTC, Andrey Fesenko
no flags Details
Update patch (3.61 KB, patch)
2015-06-20 20:32 UTC, Andrey Fesenko
no flags Details | Diff
poudriere bulk -t log (49.67 KB, text/x-log)
2015-06-20 20:35 UTC, Andrey Fesenko
no flags Details
Update patch (3.66 KB, patch)
2015-07-09 00:21 UTC, Andrey Fesenko
no flags Details | Diff
poudriere bulk -t log (49.65 KB, text/x-log)
2015-07-09 00:22 UTC, Andrey Fesenko
no flags Details
Update patch (3.63 KB, patch)
2015-08-10 14:04 UTC, Andrey Fesenko
no flags Details | Diff
poudriere bulk -t log (51.95 KB, text/x-log)
2015-08-10 14:05 UTC, Andrey Fesenko
no flags Details
Update patch (4.24 KB, patch)
2015-08-19 01:45 UTC, Andrey Fesenko
no flags Details | Diff
poudriere bulk -t log (51.33 KB, text/plain)
2015-08-19 01:46 UTC, Andrey Fesenko
no flags Details
Update patch (3.98 KB, patch)
2015-08-19 21:47 UTC, Andrey Fesenko
no flags Details | Diff
Update patch (3.65 KB, patch)
2015-08-24 20:37 UTC, Andrey Fesenko
no flags Details | Diff
poudriere bulk -t log (52.03 KB, text/plain)
2015-08-24 20:38 UTC, Andrey Fesenko
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Fesenko 2015-06-12 04:08:56 UTC
Created attachment 157662 [details]
Update patch

Update to 0.22

 * Add localization support (multilingual) see README.txt
 * Add option -t not to save, the following parameters when the application is closed

not include https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=200624
Comment 1 Andrey Fesenko 2015-06-12 04:09:36 UTC
Created attachment 157663 [details]
poudriere bulk -t log
Comment 2 Andrey Fesenko 2015-06-16 04:32:09 UTC
Created attachment 157794 [details]
Update patch

Base port Bump PORTREVISION. lazarus was updated to 1.4.0 https://svnweb.freebsd.org/ports?view=revision&revision=389677

and incorporate changes https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=200624
Comment 3 Andrey Fesenko 2015-06-16 04:33:39 UTC
Created attachment 157795 [details]
poudriere bulk log

poudriere bulk -t (fails) not this port error
Comment 4 Andrey Fesenko 2015-06-17 17:19:45 UTC
Created attachment 157838 [details]
poudriere bulk -t log

# poudriere bulk -t
Finished build of russian/emkatic: Success

need BUILD_AS_NON_ROOT=yes in your poudriere.conf as a some other ports. Without it Failed: build_fs_violation (extra: root/.cache)
Comment 5 Andrey Fesenko 2015-06-20 20:32:47 UTC
Created attachment 157902 [details]
Update patch

Update 0.20 to 0.23

 * Add localization support (multilingual) see README.txt
 * Add option -t not to save, the following parameters when the application is closed
 * Change skins format BMP to PNG
Comment 6 Andrey Fesenko 2015-06-20 20:35:56 UTC
Created attachment 157903 [details]
poudriere bulk -t log

poudriere.conf
set BUILD_AS_NON_ROOT=yes

without it Failed: build_fs_violation see https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=200997
Comment 7 Andrey Fesenko 2015-07-09 00:21:47 UTC
Created attachment 158548 [details]
Update patch

Fixed env variable see https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=200997

Update ready for commit
Comment 8 Andrey Fesenko 2015-07-09 00:22:21 UTC
Created attachment 158549 [details]
poudriere bulk -t log
Comment 9 Andrey Fesenko 2015-08-10 14:04:26 UTC
Created attachment 159731 [details]
Update patch

update patch after update upstream to 0.20_3
Comment 10 Andrey Fesenko 2015-08-10 14:05:09 UTC
Created attachment 159732 [details]
poudriere bulk -t log
Comment 11 commit-hook freebsd_committer 2015-08-14 18:36:01 UTC
A commit references this bug:

Author: amdmi3
Date: Fri Aug 14 18:35:13 UTC 2015
New revision: 394247
URL: https://svnweb.freebsd.org/changeset/ports/394247

Log:
  - Fix build by adding missing depend

  PR:		200808
  Submitted by:	andrey@bsdnir.info
  Approved by:	portmgr blanket

Changes:
  head/editors/lazarus/Makefile
Comment 12 Andrey Fesenko 2015-08-19 01:45:52 UTC
Created attachment 160001 [details]
Update patch

New version 0.24
Comment 13 Andrey Fesenko 2015-08-19 01:46:24 UTC
Created attachment 160002 [details]
poudriere bulk -t log
Comment 14 Andrey Fesenko 2015-08-19 21:47:27 UTC
Created attachment 160117 [details]
Update patch

update patch after update upstream to 0.20_4
Comment 15 Andrey Fesenko 2015-08-24 20:37:30 UTC
Created attachment 160311 [details]
Update patch

Update patch

New version 0.25
Comment 16 Andrey Fesenko 2015-08-24 20:38:03 UTC
Created attachment 160312 [details]
poudriere bulk -t log
Comment 17 commit-hook freebsd_committer 2015-08-26 10:42:58 UTC
A commit references this bug:

Author: danfe
Date: Wed Aug 26 10:42:31 UTC 2015
New revision: 395360
URL: https://svnweb.freebsd.org/changeset/ports/395360

Log:
  - Update to version 0.25, which now features localization support
  - Use OPTIONS helpers more widely (this also allows to GC WANT_GNOME)
  - Add `pkg-message' on how to enable PC speaker sound output support
  - Convert .include <bsd.port.pre.mk>/<bsd.port.post.mk> into
    <bsd.port.options.mk>/<bsd.port.mk> and wrap one overly long line
    while here

  PR:	200808 (modified)

Changes:
  head/russian/emkatic/Makefile
  head/russian/emkatic/distinfo
  head/russian/emkatic/pkg-descr
  head/russian/emkatic/pkg-message
Comment 18 Alexey Dokuchaev freebsd_committer 2015-08-26 10:46:12 UTC
Port was updated of as ports r395360, thank you.

I've ultimately decided that introducing (even optional) RUN_DEPENDS on `audio/beep' port is an overkill.  Not that it just entangles two ports for not really important reason, also depending on the port alone is not enough: we'd also have to ensure that speaker(4) module is loaded and permissions are configured correctly so it is accessible as a regular user.

That said, mentioning `audio/beep' in pkg-message looks like a better
alternative for the moment.